<script>
  n = '838102050'        // Teraz 'n' jest łańcuchem znaków
  document.write('n = ' + n + ', i jest typu ' + typeof n + '<br>')

  n = 12345 * 67890;     // Teraz 'n' jest liczbą
  document.write('n = ' + n + ', i jest typu ' + typeof n + '<br>')

  n += ' plus krótki tekst' // Teraz typ 'n' zmienił się z liczby na łańcuch znaków
  document.write('n = ' + n + ', i jest typu ' + typeof n + '<br>')
</script>
